// scss-lint:disable SpaceAfterVariableName
@import 'bourbon';
@import 'neat';

// Configuration
// --------------------------------------------------
$grid-columns                         : 12;
$max-width                            : 1170px;
$em-base                              : 14px;


// Devices
// --------------------------------------------------
$desktop                              : new-breakpoint(max-width 1024px);
$design-edge                          : new-breakpoint(max-width 966px);
$tablet                               : new-breakpoint(max-width 768px 4);
$mobile-large                         : new-breakpoint(max-width 640px 4);
$mobile                               : new-breakpoint(max-width 480px 4);
$mobile-small                         : new-breakpoint(max-width 320px 4);

$nav-break                            : new-breakpoint(max-width 695px);
$hero-break                           : new-breakpoint(max-width 1150px);


// Colors
// ---------------------------------------------------
$white                                : #fff;
$black                                : #000;
$black-50                             : rgba(0, 0, 0, .50);
$dove-gray                            : #666;
$porcelain                            : #ecf0f1;
$mariner                              : #2980b9;
$tall-poppy                           : #c0392b;
$cinnabar                             : #e74c3c;
$silver-sand                          : #bdc3c7;
$oslo-gray                            : #7f8c8d;

// Text
// --------------------------------------------------
$font-primary                         : 'Lato', Helvetica, Arial, sans-serif;
$font-secondary                       : 'Chunkfive', sans-serif;
$font-tertiary                        : 'Roboto', sans-serif;
$font-code                            : Inconsolata, Menlo, Monaco, 'Bitstream Vera Sans Mono', 'Courier New', monospace;
$font-color                           : $dove-gray;
$color-anchor                         : $dove-gray;
$color-anchor-hover                   : $dove-gray;
$font-size                            : $em-base;


// Footer
// --------------------------------------------------
$footer-height                        : rem(309);
$footer-margin                        : rem(29);

// Normalize
// --------------------------------------------------
// Support the same browsers as normalize.css v3.
$support-for: (
  ie:  9,  // IE 9-11
  '*': -4, // The last 4 versions of all other browsers.
);

// The font size set on the root html element.
$base-font-size                       : $em-base;

// The base line height determines the basic unit of vertical rhythm.
$base-line-height                     : 24px;

// The length unit in which to output font size and margin values.
// Supported values: px, em, rem.
$base-unit                            : 'rem';

// px fallbacks for rem units are needed for IE 8 and earlier.
$rem-fallback                         : false;

// The default font family.
$base-font-family                     : $font-primary;

// The font sizes for h1-h6 expressed as tee shirt sizes.
$font-size: (
  xxl: 36px,
  xl:  32px,
  l:   24px,
  m:   $base-font-size,
  s:   14px,
  xs:  10px,
);

// The amount lists and blockquotes are indented.
$indent-amount                       : 40px;

// The following variable controls whether normalize-scss will output
// font-sizes, line-heights and block-level top/bottom margins that form a basic
// vertical rhythm on the page, which differs from the original Normalize.css.
$normalize-vertical-rhythm           : false;

@import 'utils/*';
@import 'normalize/import-now';
@import 'layout/*';
@import 'components/*';
@import 'views/*';
